Skip to content

Run Action (Terminate/Retry)

PUT
/pipelines/runs/{run_id}/
curl --request PUT \
--url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/pipelines/runs/{run_id}/?action=<ACTION>&project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>'
run_id
required
string
action
required
string
Allowed values: terminate retry
project_id
required
integer

Project ID

active_iam
integer

Active IAM ID (To access contact person account) Find your Active IAM ID here

location
required
string
Allowed values: Delhi Chennai

Location

Run action performed successfully

Media typeapplication/json
object
code
integer
data
object
errors
object
message
string

Example

{
"code": 200,
"data": {},
"errors": {},
"message": "Success"
}